module.exports = (lib) => {
  lib.trigger.add({
    name: 'level',
    call: /^\!level(?: +\@.*)?/i,
    level: 0,
    active: 1,
    func: (e, userlevel) => {
      var args = e.message.split(' ');

      if(Number.isInteger(parseInt(args[2]))) {
        if(userlevel >= 100) {
          var name = args[1].replace('@','');
          var level = (args[2]>=100)?100:args[2];
          
          if( name in e.channel.names ) {
            console.log(lib.admins);
            lib.bot.whois(name.trim(), e.network, (err, data) => {
              if(!err) {
                if(data.account !== null) {
                  if(data.account in lib.admins) {
                    if(level <= 0) {
                      lib.sql.query('delete from `f0ck`.`user` where `id` = ? limit 1', [lib.admins[data.account].id], () => {
                        lib.loadUser();
                        e.reply('deleted user '+data.nick+' ('+data.account+')');
                      });
                    }
                    else {
                      lib.sql.query('update `f0ck`.`user` set `level` = ? where `id` = ?', [level, lib.admins[data.account].id], () => {
                        lib.loadUser();
                        e.reply('changed user '+data.nick+' ('+data.account+') to level '+level);
                      });
                    }
                  }
                  else {
                    lib.sql.query('insert into `f0ck`.`user` (`account`,`level`,`network`) values (?,?,?)', [data.account, level, e.network], () => {
                      lib.loadUser();
                      e.reply('added new user '+data.nick+' ('+data.account+') with level '+level);
                    });
                  }
                }
                else
                  e.reply('user '+data.nick+' isn\'t registered');
              }
            });
          }
          else
            e.reply('user '+name+' not found');
        }
        else
          e.reply('no permission, min level 100 required');
      }
      else {
        var user;
        if(!(user = e.message.match(/^\!level(?: +@(.*))?/i)[1]))
          user = e.user.getNick();
        else
          user = user.trim();
        lib.getUserlevel(user, e.network, e.channel.getName(), cb => {
          e.reply("level from "+user+": "+cb.level+" (Channel: "+cb.channel+" DB: "+cb.db+")");
        });
      }
    },
    desc: 'get Userlevel'
  });
};